package djmil.cordacheckers;

import org.springframework.security.core.userdetails.User;
import org.springframework.security.core.userdetails.UserDetails;

public class ApiUserDetails extends User {
    private final String holdingIdentityShortHash;

    public ApiUserDetails(UserDetails user, String holdingIdentityShortHash) {
        super(user.getUsername(), user.getPassword(), user.isEnabled(), user.isAccountNonExpired(), user.isCredentialsNonExpired(), user.isAccountNonLocked(), user.getAuthorities());
        
        this.holdingIdentityShortHash = holdingIdentityShortHash;
    }

	public String getHoldingIdentityShortHash() {
		return this.holdingIdentityShortHash;
	}
 
}